<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:label="satisgroup_RevenueFromSaleOfGoodsAndRenderingOfServices" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_RevenueFromSaleOfMerchandises" xlink:label="satisgroup_RevenueFromSaleOfMerchandises" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CostOfSales" xlink:label="ifrs-full_CostOfSales" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_CostsOfGoodsSoldAndServicesRendered" xlink:label="satisgroup_CostsOfGoodsSoldAndServicesRendered" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_ProfitLossFromSales" xlink:label="satisgroup_ProfitLossFromSales" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_GainLossesOnDisposalsOfReceivables" xlink:label="satisgroup_GainLossesOnDisposalsOfReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherInflowsOfCashClassifiedAsOperatingActivities" xlink:label="satisgroup_OtherInflowsOfCashClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:label="ifrs-full_OutflowsOfCashFromInvestingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherOutflowsOfCashClassifiedAsOperatingActivities" xlink:label="satisgroup_OtherOutflowsOfCashClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_InflowsOfCashFromFinancingActivities" xlink:label="satisgroup_InflowsOfCashFromFinancingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherInflowsOfCashClassifiedAsFinancingActivities" xlink:label="satisgroup_OtherInflowsOfCashClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OutflowsOfCashFromFinancingActivities" xlink:label="satisgroup_OutflowsOfCashFromFinancingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherOutflowsOfCashClassifiedAsFinancingActivities" xlink:label="satisgroup_OtherOutflowsOfCashClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_NetProfitMember" xlink:label="satisgroup_NetProfitMember" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_ImpairmentOffIssuedCapital" xlink:label="satisgroup_ImpairmentOffIssuedCapital" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_Other" xlink:label="satisgroup_Other" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:to="label_satisgroup_satisgroupRevenueFromSaleOfGoodsAndRenderingOfServices_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_RevenueFromSaleOfMerchandises" xlink:to="label_satisgroup_satisgroupRevenueFromSaleOfMerchandises_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CostOfSales" xlink:to="label_satisgroup_ifrs-fullCostOfSales_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_CostsOfGoodsSoldAndServicesRendered" xlink:to="label_satisgroup_satisgroupCostsOfGoodsSoldAndServicesRendered_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_satisgroup_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_ProfitLossFromSales" xlink:to="label_satisgroup_satisgroupProfitLossFromSales_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_GainLossesOnDisposalsOfReceivables" xlink:to="label_satisgroup_satisgroupGainLossesOnDisposalsOfReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_satisgroup_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_satisgroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherInflowsOfCashClassifiedAsOperatingActivities" xlink:to="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="label_satisgroup_ifrs-fullOutflowsOfCashFromInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherOutflowsOfCashClassifiedAsOperatingActivities" xlink:to="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_satisgroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_InflowsOfCashFromFinancingActivities" xlink:to="label_satisgroup_satisgroupInflowsOfCashFromFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherInflowsOfCashClassifiedAsFinancingActivities" xlink:to="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OutflowsOfCashFromFinancingActivities" xlink:to="label_satisgroup_satisgroupOutflowsOfCashFromFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherOutflowsOfCashClassifiedAsFinancingActivities" xlink:to="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_satisgroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_satisgroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_NetProfitMember" xlink:to="label_satisgroup_NetProfitMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_ImpairmentOffIssuedCapital" xlink:to="label_satisgroup_satisgroupImpairmentOffIssuedCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_Other" xlink:to="label_satisgroup_satisgroupOther_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_satisgroup_satisgroupRevenueFromSaleOfGoodsAndRenderingOfServices_Standard" id="satisgroup_satisgroupRevenueFromSaleOfGoodsAndRenderingOfServices_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Przychody ze sprzedaży produktów i usług</label>
    <label xlink:label="label_satisgroup_satisgroupRevenueFromSaleOfMerchandises_Standard" id="satisgroup_satisgroupRevenueFromSaleOfMerchandises_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Przychody ze sprzedaży towarów i materiałów</label>
    <label xlink:label="label_satisgroup_ifrs-fullCostOfSales_Total" id="satisgroup_ifrs-fullCostOfSales_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Koszty sprzedanych produktów, towarów i materiałów, w tym:</label>
    <label xlink:label="label_satisgroup_satisgroupCostsOfGoodsSoldAndServicesRendered_Standard" id="satisgroup_satisgroupCostsOfGoodsSoldAndServicesRendered_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Koszty wytworzenia sprzedanych produktów i usług</label>
    <label xlink:label="label_satisgroup_ifrs-fullGrossProfit_Total" id="satisgroup_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) brutto na sprzedaży</label>
    <label xlink:label="label_satisgroup_satisgroupProfitLossFromSales_Standard" id="satisgroup_satisgroupProfitLossFromSales_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Zysk (strata) ze sprzedaży</label>
    <label xlink:label="label_satisgroup_satisgroupGainLossesOnDisposalsOfReceivables_Standard" id="satisgroup_satisgroupGainLossesOnDisposalsOfReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Zysk/strata ze zbycia wierzytelności</label>
    <label xlink:label="label_satisgroup_ifrs-fullCashFlowsFromUsedInOperations_Total" id="satisgroup_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Gotówka z działalności operacyjnej</label>
    <label xlink:label="label_satisgroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="satisgroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">A. Przepływy pieniężne netto z działalności operacyjnej</label>
    <label xlink:label="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsOperatingActivities_Standard" id="satisgroup_satisgroupOtherInflowsOfCashClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Inne wpływy inwestycyjne</label>
    <label xlink:label="label_satisgroup_ifrs-fullOutflowsOfCashFromInvestingActivities_Total" id="satisgroup_ifrs-fullOutflowsOfCashFromInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Wydatki</label>
    <label xlink:label="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsOperatingActivities_Standard" id="satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Inne wydatki inwestycyjne</label>
    <label xlink:label="label_satisgroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="satisgroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">B. Przepływy pieniężne netto z działalności inwestycyjnej</label>
    <label xlink:label="label_satisgroup_satisgroupInflowsOfCashFromFinancingActivities_Standard" id="satisgroup_satisgroupInflowsOfCashFromFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Wpływy</label>
    <label xlink:label="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsFinancingActivities_Standard" id="satisgroup_satisgroupOtherInflowsOfCashClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Inne wpływy finansowe</label>
    <label xlink:label="label_satisgroup_satisgroupOutflowsOfCashFromFinancingActivities_Standard" id="satisgroup_satisgroupOutflowsOfCashFromFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Wydatki</label>
    <label xlink:label="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsFinancingActivities_Standard" id="satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Inne wydatki finansowe</label>
    <label xlink:label="label_satisgroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="satisgroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">C. Przepływy pieniężne netto z działalności finansowej</label>
    <label xlink:label="label_satisgroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="satisgroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">D. Przepływy pieniężne netto razem</label>
    <label xlink:label="label_satisgroup_NetProfitMember" id="satisgroup_NetProfitMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Net profit [member]</label>
    <label xlink:label="label_satisgroup_satisgroupImpairmentOffIssuedCapital_Standard" id="satisgroup_satisgroupImpairmentOffIssuedCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Odpis aktualizujący akcje własne</label>
    <label xlink:label="label_satisgroup_satisgroupOther_Standard" id="satisgroup_satisgroupOther_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Inne</label>
  </labelLink>
</linkbase>